Gentoo Archives: gentoo-commits

From: "Andreas Hüttel" <dilfridge@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-perl/Ace/
Date: Fri, 30 Mar 2018 19:13:06
Message-Id: 1522437167.960f0cdf44edbcd5ae2ca7f3e36d0f6ad1f54b00.dilfridge@gentoo
1 commit: 960f0cdf44edbcd5ae2ca7f3e36d0f6ad1f54b00
2 Author: Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
3 AuthorDate: Fri Mar 30 19:12:32 2018 +0000
4 Commit: Andreas Hüttel <dilfridge <AT> gentoo <DOT> org>
5 CommitDate: Fri Mar 30 19:12:47 2018 +0000
6 URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=960f0cdf
7
8 dev-perl/Ace: Various fixes for glibc-2.26 and Darwin
9
10 Closes: https://bugs.gentoo.org/637114
11 Closes: https://bugs.gentoo.org/637102
12 Package-Manager: Portage-2.3.24, Repoman-2.3.6
13
14 dev-perl/Ace/Ace-1.920.0-r3.ebuild | 113 +++++++++++++++++++++++++++++++++++++
15 1 file changed, 113 insertions(+)
16
17 diff --git a/dev-perl/Ace/Ace-1.920.0-r3.ebuild b/dev-perl/Ace/Ace-1.920.0-r3.ebuild
18 new file mode 100644
19 index 00000000000..c8263c2086b
20 --- /dev/null
21 +++ b/dev-perl/Ace/Ace-1.920.0-r3.ebuild
22 @@ -0,0 +1,113 @@
23 +# Copyright 1999-2018 Gentoo Foundation
24 +# Distributed under the terms of the GNU General Public License v2
25 +
26 +EAPI=6
27 +
28 +DIST_NAME=AcePerl
29 +DIST_AUTHOR=LDS
30 +DIST_VERSION=1.92
31 +DIST_EXAMPLES=("examples/*")
32 +inherit perl-module
33 +
34 +DESCRIPTION="Object-Oriented Access to ACEDB Databases"
35 +
36 +SLOT="0"
37 +KEYWORDS="~amd64 ~x86"
38 +IUSE="test"
39 +
40 +RDEPEND="virtual/perl-Digest-MD5
41 + dev-perl/Cache-Cache
42 + dev-perl/GD
43 + elibc_glibc? ( net-libs/libtirpc net-libs/rpcsvc-proto )
44 +"
45 +DEPEND="${RDEPEND}"
46 +
47 +src_prepare() {
48 + sed -i 's/", "1")/", "3")/' "${S}/Makefile.PL" || die "Can't patch config"
49 + cat > "${S}/acelib/wmake/DARWIN_DEF" <<EOF
50 +NAME = DARWIN
51 +COMPILER = clang -fwritable-strings -DACEDB4 -DPOSIX
52 +LINKER = clang
53 +
54 +LIBS = -lm
55 +
56 +EOF
57 +
58 + if use elibc_glibc ; then
59 + sed -i -e 's:^USEROPTS=:USEROPTS=-I/usr/include/tirpc :g' -e 's:^LIBS =:LIBS = -ltirpc:g' "${S}/acelib/wmake/LINUX_DEF"
60 + export LIBS="-ltirpc"
61 + fi
62 +
63 + export MAKEOPTS="-j1"
64 + perl-module_src_prepare
65 +}
66 +
67 +src_test() {
68 + local MODULES=(
69 + "Ace ${DIST_VERSION}"
70 + "Ace::Freesubs 1.00"
71 + "Ace::Graphics::Fk" # NO VERSION
72 + "Ace::Graphics::Glyph"
73 + "Ace::Graphics::Glyph::anchored_arrow"
74 + "Ace::Graphics::Glyph::arrow"
75 + "Ace::Graphics::Glyph::box"
76 + "Ace::Graphics::Glyph::crossbox"
77 + "Ace::Graphics::Glyph::dot"
78 + "Ace::Graphics::Glyph::ex"
79 + "Ace::Graphics::Glyph::graded_segments"
80 + "Ace::Graphics::Glyph::group"
81 + "Ace::Graphics::Glyph::line"
82 + "Ace::Graphics::Glyph::primers"
83 + "Ace::Graphics::Glyph::segments"
84 + "Ace::Graphics::Glyph::span"
85 + "Ace::Graphics::Glyph::toomany"
86 + "Ace::Graphics::Glyph::transcript"
87 + "Ace::Graphics::Glyph::triangle"
88 + "Ace::Graphics::GlyphFactory"
89 + "Ace::Graphics::Panel"
90 + "Ace::Graphics::Track"
91 + "Ace::Iterator 1.51"
92 + "Ace::Local 1.05"
93 + "Ace::Model 1.51"
94 + "Ace::Object 1.66"
95 + "Ace::Object::Wormbase"
96 + "Ace::RPC 1.00"
97 + "Ace::Sequence 1.51"
98 + "Ace::Sequence::Feature"
99 + "Ace::Sequence::FeatureList"
100 + "Ace::Sequence::GappedAlignment 1.20"
101 + "Ace::Sequence::Gene"
102 + "Ace::Sequence::Homol"
103 + "Ace::Sequence::Multi"
104 + "Ace::Sequence::Transcript"
105 + "Ace::SocketServer 1.01"
106 + "GFF::Filehandle"
107 +# Need Ace::Browser
108 +# "Ace::Browser::AceSubs ${DIST_VERSION}"
109 +# "Ace::Browser::GeneSubs ${DIST_VERSION}"
110 +# "Ace::Browser::SearchSubs ${DIST_VERSION}"
111 +# "Ace::Browser::SiteDefs ${DIST_VERSION}"
112 +# "Ace::Browser::TreeSubs ${DIST_VERSION}"
113 + )
114 + local failed=()
115 + for dep in "${MODULES[@]}"; do
116 + ebegin "Compile testing ${dep}"
117 + perl -Mblib="${S}" -M"${dep} ()" -e1
118 + eend $? || failed+=( "$dep" )
119 + done
120 + if [[ ${failed[@]} ]]; then
121 + echo
122 + eerror "One or more modules failed compile:";
123 + for dep in "${failed[@]}"; do
124 + eerror " ${dep}"
125 + done
126 + die "Failing due to module compilation errors";
127 + fi
128 + if ! has "network" "${DIST_TEST_OVERRIDE:-${DIST_TEST:-do parallel}}"; then
129 + ewarn "This package needs network access to run its full test suite"
130 + ewarn "For details, see:"
131 + ewarn "https://wiki.gentoo.org/wiki/Project:Perl/maint-nodes/dev-perl/Ace"
132 + else
133 + perl-module_src_test
134 + fi
135 +}